[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# IdentEntry

Checks whether a given Entry exists in a Map of color names.

## Declaration

Source position: graphics.pp line 1927

`function IdentEntry(`
`Entry: LongInt;`
`out MapEntry: TIdentMapEntry`
`):Boolean;`

## Arguments

`Entry` |  | Entry - a numeric index into the table of colors.
`MapEntry` |  | MapEntry - the record of Value, Name returned from the look-up table of Colors.

## Function result

True if Entry was a valid index into the color look-up table.

## Description

IdentEntry checks whether a given Entry exists in a Map of color names.

A list of system Colors is specified as a look-up table of indices (Entry) and names (MapEntry).

This function checks that the value in Entry is within the permitted range, and returns the data pair Value, Name of the corresponding color in MapEntry.

If Entry is out of range the Result is False.

## Errors

If Entry is out of the range [0..High(colors)] the Result is returned as False.